Subject: bug#30937: In `comment-region', C-g doesn't work

From: Ivan Shmakov <[email-masked]>
Date: Sun, 25 Mar 2018 17:35:45 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Alan Mackenzie <[email-masked]>

 >> Yes, I've just tried it on X.  It works there (except it leaves
 >> point in a suboptimal position: the starting point.  It should
 >> really leave point after the last newly commented line when the quit
 >> happened).  It works on emacs -nw, with the same proviso.

 >> It doesn't work at all on a Linux tty.

 > ???  How come it works in "emacs -nw" but not on a "Linux tty" (which
 > is what, btw? the raw Linux console?).  In both cases, C-g should
 > trigger a SIGINT, so Emacs should be even more responsive to C-g than
 > on X.  What am I missing?

	I’d think that it means “works with -nw under xterm [or some
	such] but not on a virtual terminal [like /dev/tty2]”.

	Personally, I’d look at (and compare) the stty(1) settings for
	the respective tty devices first; like:

$ stty -a -F /dev/tty2 

$ stty -a -F /dev/pts/5 

-- 
FSF associate member #7257  http://am-1.org/~ivan/